@charset "utf-8";

/* noto-sans-kr-100 - latin_korean */
@font-face {
    font-family: 'Noto Sans KR';
    font-style: normal;
    font-display: swap;
    font-weight: 100;
    src: local('Noto Sans KR Thin'), local('NotoSansKR-Thin'), url('fonts/noto-sans-kr-v12-latin_korean-100.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
    url('fonts/noto-sans-kr-v12-latin_korean-100.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* noto-sans-kr-300 - latin_korean */
@font-face {
    font-family: 'Noto Sans KR';
    font-style: normal;
    font-display: swap;
    font-weight: 300;
    src: local('Noto Sans KR Light'), local('NotoSansKR-Light'), url('fonts/noto-sans-kr-v12-latin_korean-300.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
    url('fonts/noto-sans-kr-v12-latin_korean-300.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* noto-sans-kr-regular - latin_korean */
@font-face {
    font-family: 'Noto Sans KR';
    font-style: normal;
    font-display: swap;
    font-weight: 400;
    src: local('Noto Sans KR Regular'), local('NotoSansKR-Regular'), url('fonts/noto-sans-kr-v12-latin_korean-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
    url('fonts/noto-sans-kr-v12-latin_korean-regular.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face {
    font-family: 'Noto Sans KR';
    font-style: normal;
    font-display: swap;
    font-weight: 500;
    src: local('Noto Sans KR Medium'), local('NotoSansKR-Medium'), url('fonts/noto-sans-kr-v12-latin_korean-500.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
    url('fonts/noto-sans-kr-v12-latin_korean-500.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* noto-sans-kr-700 - latin_korean */

@font-face {
    font-family: 'Noto Sans KR';
    font-style: normal;
    font-display: swap;
    font-weight: 700;
    src: local('Noto Sans KR Bold'), local('NotoSansKR-Bold'), url('fonts/noto-sans-kr-v12-latin_korean-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
    url('fonts/noto-sans-kr-v12-latin_korean-700.woff') format('woff');
    /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

html,
body{
    margin: 0;
    padding: 0;
    font-family: 'Noto Sans KR';
    font-style: normal;
    color: #ddd;
    background-color: #111;
    font-size: 10px;
}

*{
    font-family: 'Noto Sans KR';
    font-style: normal;
    box-sizing: border-box;
}

button{
    border: none;
}

:root{
    --nav-width: 40rem;
    --swiper-width: 60rem;
}

header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 4;
    background-color: #252525;
    width: 100%;
    color: #b3b3b3;
    font-size: 1.6rem;
    text-align: center;
    border-bottom: 1px solid #2c2c2c;
    padding: 1rem 0;
    letter-spacing: 2vw;
    box-shadow: 0 0.1rem 2rem 0.3rem rgba(0, 0, 0, 0.2);
}

.appTitle1{
    font-weight: 700;
    color:aquamarine;
}

.appTitle2{
    font-weight: 100;
}

.titleMyName{
    display: none;
}

main{
    display: flex;
    justify-content: space-between;
    padding: 6rem 2rem;
}

footer{
    color: #999;
    font-weight: 300;
    font-size: 1.2rem;
    border-top: 1px solid #222;
    letter-spacing: 0.6vw;
    padding: 0.5rem 2rem;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    min-width: 90rem;
    height: 5rem;
    background-color:#191919;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.companyName{
    font-weight: 700;
    color: #bbb;
}

.myName{
    font-weight: 500;
    color: #eee;
}



@media screen and (min-width:800px) and (max-width:1200px) {
    footer{
        letter-spacing: 0.4vw;
    }
}

@media screen and (min-width:400px) and (max-width:800px) {
    footer{
        letter-spacing: 0.2vw;
    }
}

@media screen and (max-width:400px) {
    footer{
        letter-spacing: 0vw;
    }
}

.version{
    font-size: 1rem;
}

nav{
    width: 40rem;
    min-width: 40rem;
    width: var(--nav-width);
    min-width: var(--nav-width);
    background-color: #252525;
    border-radius: 3rem;
    padding: 1.5rem;
}


nav h1{
    color: #829181;
    font-size: 1.6rem;
    margin: 0.5rem 0;
    padding: 0.5rem 0;
}

nav ul{
    list-style: none;
    margin: 0;
    padding: 0 0 0 1rem;
}

nav ul li{
    margin: 0;
}

nav button{
    background-color: #252525;
    color:aquamarine;
    border: none;
    cursor: pointer;
    padding: 0.5rem;
    border-radius: 2rem;
    transition: all 0.4s;
    font-size: 1.3rem;
    overflow: hidden;
    position: relative;
    transition: all 0.5s;
}

nav button:active{
    border: 1px solid #ecffdb;
    outline: #ecffdb;
}


nav button:focus{
    border: 1px solid #587e4d;
    outline: #587e4d;
    padding: 0.5rem 2rem;
}

nav button span{
    position: relative;
    z-index: 1;
    pointer-events: none;
}

nav button:hover span{
    color: #d2ff0b;
}

nav button:active span{
    color: #e8ffd2;
}

nav button:hover{
    padding: 0.5rem 2rem;
}

nav button::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    z-index: 0;
    background-color: #405e4f;
    width: 0;
    height: 100%;
    transition: all 0.5s;
}

nav button:hover::before{
    width: 100%;
}

nav button:active:before{
    background-color: #5c9279;
}

.contentsWrap{
    position: fixed;
    top: 10rem;
    left: 40rem;
    width: calc(100% - 40rem);
    width: calc(100% - var(--nav-width));
    padding: 0 2rem;
}

.contents{
    width: 100%;
}

#mainSwiper{
    width: 60rem;
    width: var(--swiper-width);
    margin: auto;
}

#mainSwiper img{
    width: 100%;
    height: auto;
    object-fit: contain;
    cursor: pointer;
}

#mainSwiper img.imageScaleDown{
    width: auto;
    height: 50rem;
    max-height: 60rem;
    object-fit: scale-down;
    object-position: 0px;
}

.swiperNav{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60rem;
    width: var(--swiper-width);
    height: 2rem;
    margin: 3rem auto;
}

.swiperPrev,
.swiperNext{
    width: 3rem;
    height: 3rem;
    border: 0;
    background: transparent url("../image/arrowLeft.svg") center/2rem 3rem no-repeat;
    cursor: pointer;
}

.swiperNext{
    background: transparent url("../image/arrowRight.svg") center/2rem 3rem no-repeat;
}

.swiperPrev.swiper-button-disabled,
.swiperNext.swiper-button-disabled{
    opacity: 0.1;
    cursor: not-allowed;
}

.swiperPager{
    width: 40rem;
    height: 2rem;
    text-align: center;
    padding: 0.2rem 0;
}

.swiperPager span{
    width: 1rem;
    height: 1rem;
    margin: 0 1rem;
    border-radius: 1rem;
    transition: all 0.5s;
    opacity: 0.5;
}

.swiperPager span.swiper-pagination-bullet{
    background-color: #555;
    opacity: 1;
}

.swiperPager span.swiper-pagination-bullet-active{
    width: 4rem;
    opacity: 1;
    background-color: aquamarine;
}

.counter{
    position: fixed;
    display: block;
    min-width: 4rem;
    height: 2rem;
    bottom: 6rem;
    z-index: 3;
    right: 1rem;
    font-size: 1rem;
    color: #555;
    text-align: center;
    border: 1px solid #222;
    border-radius: 0.5rem;
    line-height: 100%;
    padding: 0.4rem 0;
}

.counterTable{
    width: 40rem;
    border-collapse: collapse;
    margin: 20px auto;
}

.counterTable th,
.counterTable td{
    border-collapse: collapse;
    padding: 5px;
    font-size: 1.2rem;
    color: #777;
    border: 1px solid #222;
    text-align: center;
}


@media (max-width: 480px){
    /* for mobile browser */
    html,
    body{
        font-size: 2.4vw;
        height: 100vh;
    }
    
    header{
        font-size: 1.2rem;
        padding: 0.5rem 0;
    }

    .appTitle1{
        color:rgb(212, 203, 163);
    }

    main{
        display: block;
        padding: 3rem 0rem 2rem;
    }

    nav{
        width: 100%;
        min-width: 100%;
        height: 30vh;
        overflow-x: hidden;
        overflow-y: auto;
        padding: 0;
        border: 20px solid #4b433a;
        border-top: 5px solid #4b433a;
        background-color: #4b433a;
        border-radius: 0 0 30px 30px;
    }

    nav h1{
        color: #e6c764;
        position: sticky;
        top: 0;
        left: 0;
        background-color: #4b433a;
        z-index: 2;
    }

    nav button{
        background-color: transparent;
        color: #d6d3c2;
        font-weight: 500;
    }
    
    nav button:before{
        background-color: #dba42c;
    }

    nav button:active:before{
        background-color: #dba42c;
    }

    nav button:active{
        border: 1px solid #dba42c;
        outline: #dba42c;
    }

    nav button:focus{
        border: 1px solid #dba42c;
        outline: #dba42c;
        padding: 0.5rem 1rem;
    }

    nav button:hover span{
        color: #000000;
    }

    nav button:active span{
        color: #000000;
    }

    .contentsWrap{
        position: fixed;
        display: flex;
        align-items: flex-end;
        top: 40vh;
        bottom: 0rem;
        left: 0rem;
        width: 100%;
        padding: 0 2rem 1rem;
    }

    #mainSwiper{
        width: 100%;
    }

    .swiperNav{
        width: 100%;
        margin: 1rem 0;
        z-index: 3;
    }

    .swiperPager{
        width: 100%;
    }

    .swiperPager span.swiper-pagination-bullet-active{
        background-color: #dba42c;
    }

    #mainSwiper img.imageScaleDown{
        width: auto;
        max-width: 100%;
        height: 33vh;
        max-height: 33vh;
        object-fit: scale-down;
        object-position: 0px;
    }

    footer{
        display: none;
    }

    header{
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0.5rem 2rem;
        letter-spacing: 1vw;
    }

    .titleMyName{
        display: inline-block;
    }
}